%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                    cdSY_mat.m
%                   Russell Luke
%               Department of MathSci
%              University of Delaware  
%                  April 12, 2008 
%
%
%
%
% DESCRIPTION:  TO DO
% 
%  conjugate direction history ordering for limited memory matrix secant
%  methods
%
% INPUT:
%     K, mem:  dimension of incoming arrays 
%     x_mat, the matrix of iterates
%     gradf_mat, the matrix of gradients
%
% OUTPUT:
%        
%     S_mat, Y_mat
%
% USAGE: 
%
%       [S_mat,Y_mat] = cdSY_mat(K,mem,x_mat,gradf_mat, S_mat, Y_mat)
% 
% SUBROUTINE CALLS:
%      none
%      

function [S_mat,Y_mat] = cdSY_mat(K,mem,x_mat,gradf_mat)
% [K,mem]=size(x_mat);
S_mat = x_mat(1:K,2:mem) - x_mat(1:K,1:mem-1);
Y_mat = gradf_mat(1:K,2:mem) - gradf_mat(1:K,1:mem-1);
