import matlab.engine
from numpy import abs, array, max

from .burke import Burke_func

EPS = 1e-10

eng = matlab.engine.start_matlab()
eng.addpath('../../../matlab/test_problems/Burke')


def test_Burke_func():
    x = eng.rand(7, 1)
    f_mat, Jf_mat = eng.Burke_func(x, nargout=2)
    f_py, Jf_py = Burke_func(array(x).flatten())
    f_diff = array(f_mat).flatten() - f_py.flatten()
    Jf_diff = array(Jf_mat).flatten() - Jf_py.flatten()
    assert max(abs(f_diff)) < EPS and max(abs(Jf_diff)) < EPS
